<div class="d-flex justify-content-center cont-form" >
  <div class="container">
    <div class="row">
      <div class="col col-1 col-md-4"></div>
      <div class="col col-10 col-md-4 pl-0 pr-0">
        <div class="card w-100">
          <div class="card-header text text-center font-weight-bold">
            Sign-up
          </div>
          <div class="card-body">
            <form *ngIf="loginForm" [formGroup]="loginForm" (ngSubmit)="onSubmit()">

              <div class="form-group">
                <label for="email" class="col-form-label col-form-label-sm">Email address</label>
                <input type="email" class="form-control form-control-sm" id="email" placeholder="Enter your email"
                formControlName="email" required>
                <app-message-form-validation [field]="'email'" [form]="loginForm" [submitted]="submitted"></app-message-form-validation>
              </div>

              <div class="form-group">
                <label for="password">Password</label>
                <input type="password" class="form-control form-control-sm" id="password" placeholder="Enter your password"
                formControlName="password" required>
               <app-message-form-validation [field]="'password'" [form]="loginForm" [submitted]="submitted"></app-message-form-validation>
              </div>

              <div class="form-group">
                <div *ngIf="submitted && errorLogin">
                  <small id="ivalidCredentials" class="form-text text-danger">Email or password are incorrect</small>
                </div>
              </div>

              <button [disabled]="loginForm.invalid" type="submit" class="btn btn-primary btn-sm float-right">Sign in</button>
            </form>
          </div>
      </div>
      </div>

      <div class="col col-1 col-md-4 "></div>
    </div>
  </div>
</div>
